﻿using Infragistics.DragDrop;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DragDropWinFormsElementHostCase
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DragDropWindow ddw = new DragDropWindow();
            ddw.Show();
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            if (e.DropTargetElements[0] is StackPanel)
            {
                StackPanel SP = e.DropTargetElements[0] as StackPanel;
                DragSource ds = sender as DragSource;
                Label l = ds.AssociatedObject as Label;

                Label newLabel = new Label();
                newLabel.Content = l.Content;

                SP.Children.Add(newLabel);

            }
        }

        private void DragSource_DragStart(object sender, DragDropStartEventArgs e)
        {
            DragSource ds = sender as DragSource;
            object x = ds.AssociatedObject;
            
            DragDrop.DoDragDrop(((DragSource)sender).AssociatedObject, ((DragSource)sender).AssociatedObject, DragDropEffects.All);

            e.Cancel = true;

        }   
    }
}
