﻿using Infragistics.DragDrop;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DragDropWinFormsElementHostCase
{
    /// <summary>
    /// Interaction logic for DragDropWindow.xaml
    /// </summary>
    public partial class DragDropWindow : Window
    {
        public DragDropWindow()
        {
            InitializeComponent();            
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            if (e.DropTargetElements[0] is StackPanel)
            {
                StackPanel SP = e.DropTargetElements[0] as StackPanel;
                DragSource ds = sender as DragSource;
                Label l = ds.AssociatedObject as Label;

                Label newLabel = new Label();
                newLabel.Content = l.Content;

                SP.Children.Add(newLabel);

            }
        }

        private void StackPanel_Drop(object sender, DragEventArgs e)
        {
            DataObject d = e.Data as DataObject;
            var x = d.ContainsText();
            var y = d.ContainsImage();
            var z = d.GetData(typeof(Label));

            Label l = z as Label;

            Label l2 = new Label();
            l2.Content = l.Content;

            StackPanel SP = sender as StackPanel;
            SP.Children.Add(l2);

        }
    }
}
